/*
  stack-a.test.c
  Test driver for stack allocator.
  Written by Alex Verstak.
  License: use at your own risk.
*/

#include <stdio.h>
#include "macros.h"
#include "stack-a.h"

int main()
{
  uint t[4096];
  int i;
  void *p;
  int c=stacka_size(0x1000000);
  stacka_init(t,(void*)0x1000000,0x1000000);
  stacka_free_all();
  for(i=0;i<17;i++)
    p=stacka_alloc(4096);
  stacka_stat();
  return 0;
}

/*----------------- end of file stack-a.test.c --------------*/
